# Clean Column Names

Clean up all column names on the data frame.

## How to Access This Feature

### From + (plus) Button

![](/files/-M4oN7qxadXr1X3x0lgk)

* Click "+" button and select "Others..." -> "Clean Up All Column Names".

## Clean Column Names

![](/files/-M4oN7qzRPIg_cnAn7jT)

1. Case - Case of the Resulting Column Names. Supported options are:

* parsed
* snake\_case
* lowerCamel
* UpperCamel
* ALL\_CAPS
* lowerUpper
* UPPERlower
* multibyte

### parsed

A column name is created with multiple words that are joined together with an underscore (\_) as the separator and current case is preserved.

For example, "Product Name" becomes "Product\_Name".

### snake\_case

A column name is created with multiple words that are joined together with an underscore (\_) as the separator and each word is lowercased.

For example, "Product Name" becomes "product\_name".

### lowerCamel

A column name is created with multiple words that are joined together as a single word with the first letter of each word (except the first one) uppercased.

For example, "Product Name" becomes "productName".

### UpperCamel

A column name is created with multiple words that are joined together as a single word with the first letter of each word uppercased.

For example, "Product Name" becomes "ProductName".

### ALL\_CAPS

A column name is created with multiple words that are joined together with an underscore (\_) as the separator and each word is uppercased.

For example, "Product Name" becomes "PRODUCT\_NAME".

### lowerUpper

A column name is created with multiple words that are joined together as a single word with each word alternating with lowercased and uppercased.

For example, "Product Detail Description" becomes "productDETAILdescription".

### UPPERlower

A column name is created with multiple words that are joined together as a single word with each word alternating with uppercased and lowercased.

For example, "Product Detail Description" becomes "PRODUCTdetailDESCRIPTION".

### multibyte

Same as parsed. If your column name contains multibyte characters and separated unexpected way with "parsed" option, try this multibyte option.

For example, "製品 名称" becomes "製品\_名称".


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.exploratory.io/data-wrangling/clean_names.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
